Subject: [bug#49859] [PATCH 3/6] gnu: Remove adb and fastboot.

From: Pierre Langlois <[email-masked]>
Date: Wed, 11 Aug 2021 19:13:30 +0100

Hi Julien and Leo,

Julien Lepiller <[email-masked]> writes:

> There are more recent versions, unfortunately this is the latest version we can support. Later versions use a different build system, soong, that require much more work. I have a wip for that, but it will need more work to be really useful and be able to build adb and
> fastboot.

Recently I noticed this repository, by looking at how Archlinux managed
to package newer versions of adb/fastboot: https://github.com/nmeum/android-tools

I wonder if using it is something you've considered? Using submodules to
gather all the sources isn't very guix-y, but at least it's using cmake
so we wouldn't need to package Android build tools.

Just thought I'd make sure we're aware this exists! I too would be said
to see adb/fastboot go away :-).

Thanks,
Pierre